package daruma.storage_manager;

public class StorageException extends Exception
{
	private	static final long serialVersionUID = 0L;

	public	StorageException( String  message )
	{
		super( message );
	}

	public	StorageException( Throwable  throwable )
	{
		super( throwable );
		this.setStackTrace(throwable.getStackTrace()) ;
	}

	public	StorageException( String  message ,  Throwable  throwable )
	{
		super( message , throwable );
		this.setStackTrace(throwable.getStackTrace()) ;
	}
}
